Bug 5550 - Affilitation not available in multiple languages
Affilitation not available in multiple languages
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.3.3
PC Windows NT
: P5 enhancement
Assigned To: Alec Smecher
http://www.caj-jca.ca/index.php/caj-j...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 08:04 PDT by Kevin Stranack
Modified: 2013-05-07 11:35 PDT (History)
0 users

See Also:
Version Reported In: 2.2.4
Also Affects:


Attachments
Patch against PKP WAL pre-release (6.89 KB, patch)
2010-07-08 16:32 PDT, Alec Smecher
Details | Diff
Patch against OJS pre-2.3.2 CVS (64.15 KB, patch)
2010-07-08 16:45 PDT, Alec Smecher
Details | Diff
Patch against OCS 2.3.2 (50.30 KB, patch)
2010-07-20 09:40 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Stranack 2010-07-06 08:04:13 PDT
One of the bilingual journals we host would like to have the author affiliation field appear in both languages. Currently, information can only be added in one language. 

When you add English affiliation data in the English form, and then toggle over to the French form and add the French affiliation data, the English data is lost.
Comment 1 Alec Smecher 2010-07-08 16:32:12 PDT
Created attachment 3135 [details]
Patch against PKP WAL pre-release

This will temporarily (transparently) break affiliation storage until changes are committed to all apps (working on it).
Comment 2 Alec Smecher 2010-07-08 16:45:49 PDT
Created attachment 3136 [details]
Patch against OJS pre-2.3.2 CVS
Comment 3 Alec Smecher 2010-07-08 16:46:04 PDT
Needs porting to OCS and OMP.
Comment 4 Alec Smecher 2010-07-20 09:40:48 PDT
Created attachment 3142 [details]
Patch against OCS 2.3.2
Comment 5 Alec Smecher 2010-07-28 10:30:24 PDT
Committed to OMP as well. Note that affiliations will be broken in OMP until the multilingual support is completed (see bug #5543).
Comment 6 Alec Smecher 2013-05-07 11:35:02 PDT
Removed dead code
https://github.com/pkp/ojs/commit/4c276dbed0e0e4ef2616237d70a9ae5a91570b53